#pragma once

struct KbMov_Settings
{
    bool bOpenFromStream;  //true: ストリームから開く(DirectShow)
                           //false:実ファイルから開く(DirectShow)
    bool bVideo;           //動画の映像部分を再生
    bool bFullScreen;      //最大化時フルスクリーン
    GUID guidVideoRenderer;//ビデオレンダラーの CLSID

};

class IKpiConfig;
class IKpiConfigEnumerator;

BOOL  __fastcall kbmov_EnumConfig(IKpiConfig* pConfig, IKpiConfigEnumerator* pEnumerator);
DWORD __fastcall kbmov_ApplyConfig(IKpiConfig* pConfig,
    const wchar_t* cszSection, //セクション名
    const wchar_t* cszKey, //キー名
    INT64  nValue, //変更後の値(BOOL/INT の場合)
    double dValue, //変更後の値(FLOAT の場合)
    const wchar_t* cszValue);//変更後の値(文字列)

void __fastcall kbmov_GetSettings(IKpiConfig* pConfig, KbMov_Settings* pSettings);
wchar_t* __fastcall kbmov_GetSupportExts(IKpiConfig* pConfig, bool *pbTest);
void __fastcall kbmov_IsSupport(IKpiConfig* pConfig, const wchar_t* cszExt, bool* pbDS, bool* pbMF, int *pPrior);
bool __fastcall CheckVistaOrLater(void);
